New install issue

6 posts, 0 answers
  1. Graeme
    Graeme avatar
    3 posts
    Member since:
    Nov 2012

    Posted 01 Nov 2012 Link to this post

    Just installed the trial version and getting runtime error in browser. I see this in the log file:

     
    2012-11-01 16:51:04,305 [3] ERROR TeamPulse.Shared.Logger -  - Unhandled Exception.  System.MissingMethodException: Method not found: 'System.Web.Http.Filters.HttpFilterCollection System.Web.Http.HttpConfiguration.get_Filters()'.
       at TeamPulse.Client.Host.Global.Application_Start(Object sender, EventArgs e)

    What's up?
  2. David Harris
    Admin
    David Harris avatar
    1 posts

    Posted 01 Nov 2012 Link to this post

    Hi Graeme,

    Is there a chance that you have a Beta or RC version of the .NET Framework or ASP.NET MVC 4 on the machine on which you installed TeamPulse?

    Regards,
    David Harris
    the Telerik team
  3. Graeme
    Graeme avatar
    3 posts
    Member since:
    Nov 2012

    Posted 13 Nov 2012 Link to this post

    I certainly might have had at some point, but see nothing in control panel right now.  Anything specific I can check for?
  4. Joel
    Admin
    Joel avatar
    300 posts

    Posted 14 Nov 2012 Link to this post

    Hi Graeme,

    If you did have a beta or RC of either .NET or MVC 4 it should show up in the control with either (beta) or (RC) beside the name of the program.  Just to be sure, can you send us a screenshot similar to the one I've attached?

    If you find that you have a pre-release version of .NET on your machine, I've included a link to the download for the official release.

    .NET Framework 4.5
    http://www.microsoft.com/en-us/download/details.aspx?id=30653

    If TeamPulse is being installed on a machine used for development, you can use the download link below to update ASP.NET MVC to the latest official release to ensure that there are no conflicts with any existing installed version of MVC.

    ASP.NET MVC 4
    http://www.microsoft.com/en-us/download/details.aspx?id=30683

    Regards,
    Joel
    the Telerik team
  5. Graeme
    Graeme avatar
    3 posts
    Member since:
    Nov 2012

    Posted 14 Nov 2012 Link to this post

    Nothing RC or Beta that I can see. 
    .Net 4.5 is not a pre-requisite is it?
  6. David Harris
    Admin
    David Harris avatar
    1 posts

    Posted 15 Nov 2012 Link to this post

    Hi Graeme,

    I do not believe that .NET 4.5 should be required, as .NET 4.0 should be enough, but if it is an option perhaps you could install 4.5 and see if it resolves your issue? Aside from some kind of versioning issue I can't think of why a method internal to the MS System.Web.Http.HttpConfiguration class would not be found.

    All the best,
    David Harris
    the Telerik team
Back to Top